#!/usr/bin/perl -w
use strict ;

if (@ARGV != 2){
    print "Usage: perl $0 ingff3file outgff3file\n" ;
    exit(1) ;
}

my ($infile, $outfile) = @ARGV ;

open (IN, $infile) || die "$infile, $!\n" ;
open (OUT, ">$outfile") || die "$outfile, $!\n" ;
while(<IN>){
    chomp ;
    if (m/^\#/){
        print OUT "$_\n" ;
    }
    else{
        s/ID=gene[\:\-\_]/ID=/ ;
        s/Parent=gene[\:\-\_]/Parent=/ ;
        print OUT "$_\n" ;
    }
}
close(IN);
close(OUT) ;

